## GogControlFooCanvas

GogControlFooCanvas — Graph in a foocanvas item

## Synopsis

                        GogControlFooCanvas;

## Properties

      "h"                        gdouble               : Read / Write
      "model"                    GogObject*            : Write
      "renderer"                 GogRenderer*          : Read / Write
      "w"                        gdouble               : Read / Write

## Description

## Details

### GogControlFooCanvas

    typedef struct {
    	FooCanvasGroup	base;

    	double new_h, new_w;

    	GogGraph *model;
    	GogRenderer *renderer;

    	gboolean use_cache;
    } GogControlFooCanvas;

## Property Details

### The `"h"` property

      "h"                        gdouble               : Read / Write

Height.

Allowed values: >= 0

Default value: 100

### The `"model"` property

      "model"                    GogObject*            : Write

The GogObject this object displays.

### The `"renderer"` property

      "renderer"                 GogRenderer*          : Read / Write

The GogRenderer being displayed.

### The `"w"` property

      "w"                        gdouble               : Read / Write

Width.

Allowed values: >= 0

Default value: 100